import request from "@/utils/request";

// 查询清单式检查列表
export function listCheck(query) {
  return request({
    url: "/mudu/check/list",
    method: "get",
    params: query,
  });
}

// 查询清单式检查详细
export function getCheck(id) {
  return request({
    url: "/mudu/check/" + id,
    method: "get",
  });
}

// 新增清单式检查
export function addCheck(data) {
  return request({
    url: "/mudu/check",
    method: "post",
    data: data,
  });
}

// 修改清单式检查
export function updateCheck(data) {
  return request({
    url: "/mudu/check",
    method: "put",
    data: data,
  });
}

// 删除清单式检查
export function delCheck(id) {
  return request({
    url: "/mudu/check/" + id,
    method: "delete",
  });
}
